%define major   1
%define libname %mklibname tcod %{major}
%define devname %mklibname tcod -d

%define date    20170226

Name:           libtcod
Version:        1.6.3
Release:        %mkrel 1
Summary:        Color console, input management and other tools for roguelike games
Group:          System/Libraries
License:        BSD
URL:            https://bitbucket.org/libtcod/libtcod
# https://bitbucket.org/libtcod/libtcod/downloads?tab=tags
Source0:        https://bitbucket.org/libtcod/libtcod/downloads/%{date}-%{name}-%{version}.tbz2
# TODO: Have upstream handle their soname properly
Patch0:         libtcod-1.6.1-mga-soname.patch

BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

%description
libtcod, a.k.a. "The Doryen Library", is a free, fast, portable and
uncomplicated API for roguelike developpers providing an advanced
true color console, input, and lots of other utilities frequently
used in roguelikes.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Color console, input management and other tools for roguelike games
Group:          System/Libraries

%description -n %{libname}
libtcod, a.k.a. "The Doryen Library", is a free, fast, portable and
uncomplicated API for roguelike developpers providing an advanced
true color console, input, and lots of other utilities frequently
used in roguelikes.

%files -n       %{libname}
%{_libdir}/%{name}*.so.%{major}
%{_libdir}/%{name}*.so.%{major}.*

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development headers and libraries for %{name}.

%files -n       %{devname}
%doc libtcod-CHANGELOG.txt LIBTCOD-CREDITS.txt LIBTCOD-LICENSE.txt
%{_includedir}/%{name}/
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1 -n %{date}-%{name}-%{version}
rm -rf src/zlib

%build
cd build/autotools
autoreconf -vfi
%configure2_5x
%make_build

%install
cd build/autotools
%make_install

find %{buildroot}%{_libdir} -name "*.la" -delete -o -name "*.a" -delete

# pkg-config entry
install -d %{buildroot}%{_libdir}/pkgconfig
cat << EOF > %{buildroot}%{_libdir}/pkgconfig/%{name}.pc
prefix=%{_prefix}
exec_prefix=\${prefix}
includedir=\${exec_prefix}/include
libdir=\${exec_prefix}/%{_lib}

Name: %{name}
Description: Color console, input management and other tools for roguelike games
Version: %{version}
Libs: -L\${libdir} -ltcod
Libs.private: -lz -lSDL
Cflags: -I\${includedir}/%{name}
EOF


%changelog
* Thu Mar 02 2017 akien <akien> 1.6.3-1.mga6
+ Revision: 1088506
- Version 1.6.3

* Fri Dec 30 2016 akien <akien> 1.6.2-1.mga6
+ Revision: 1078652
- Version 1.6.2

* Sat Oct 29 2016 akien <akien> 1.6.1-1.mga6
+ Revision: 1063923
- Version 1.6.1

* Tue Feb 09 2016 umeabot <umeabot> 1.5.2-0.20140203.2.mga6
+ Revision: 950973
- Mageia 6 Mass Rebuild

* Thu Nov 27 2014 akien <akien> 1.5.2-0.20140203.1.mga5
+ Revision: 799566
- Unbundle zlib
- imported package libtcod

